#!/bin/bash -x

# Run iptables commands on local PrivX router
sudo iptables $@
exit_code=$?
if [ $exit_code -ne 0 ]; then 
  # Maybe do something about the failure from here as well or just use the privx server Network-Session-Failure Events? 
  exit $exit_code; 
fi

# Run iptables commands on other remote PrivX router
ssh -o ConnectTimeout=2 -i ~/.ssh/routersynckey privx@<Other_Router_Address> "sudo iptables $@"
exit_code=$?
if [ $exit_code -ne 0 ]; then
  echo $exit_code >> /tmp/failed_remote_iptables_exit_code
  # do something that will inform it failed and traffic should not be routed via this router; 
fi
